Summary: A tool for converting XML files to various formats
Name: xmlto
Version: 0.0.21
Release: 4%{?dist}
#xmlto is released under GPLv2+ license, xmlif under GPL+ license
License: GPLv2+ and GPL+
Group: Applications/System
#Older versions up to xmlto-0.0.20
#URL: http://cyberelk.net/tim/xmlto/
#Source0: http://cyberelk.net/tim/data/xmlto/stable/%{name}-%{version}.tar.bz2
URL: https://fedorahosted.org/xmlto/
Source0: http://svn.fedorahosted.org/svn/%{name}/%{name}-%{version}.tar.bz2
Patch0: xmlto-stringparam.patch
Patch1: xmlto-libpaper.patch
#Patch2: xmlto-xmllintoptions.patch

BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: docbook-xsl >= 1.56.0
BuildRequires: libxslt
BuildRequires: util-linux, flex

# We rely heavily on the DocBook XSL stylesheets!
Requires: docbook-xsl >= 1.56.0
Requires: text-www-browser
Requires: libxslt
Requires: docbook-dtds
Requires: util-linux, flex

%description
This is a package for converting XML files to various formats using XSL
stylesheets.

%package tex
Group: Applications/System
License: GPLv2
Summary: A set of xmlto backends with TeX requirements
# For full functionality, we need passivetex.
Requires: passivetex >= 1.11
# We require main package
Requires: xmlto = %{version}-%{release}

%description tex
This subpackage contains xmlto backend scripts which do require
PassiveTeX/TeX for functionality.

%prep
%setup -q
%patch0 -p1 -b .stringparam
%patch1 -p1 -b .libpapercleanup
#%patch2 -p1 -b .xmllintoptions

%build
touch doc/xmlto.xml doc/xmlif.xml
%configure
make %{?_smp_mflags}

%check
make check

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog README AUTHORS NEWS
%{_bindir}/*
%{_mandir}/*/*
%{_datadir}/xmlto
%exclude %{_datadir}/xmlto/format/fo/dvi
%exclude %{_datadir}/xmlto/format/fo/ps
%exclude %{_datadir}/xmlto/format/fo/pdf

%files tex
%defattr(-,root,root,-)
%{_datadir}/xmlto/format/fo/dvi
%{_datadir}/xmlto/format/fo/ps
%{_datadir}/xmlto/format/fo/pdf

%changelog
* Mon Mar 02 2009 Ondrej Vasik <ovasik@redhat.com> - 0.0.21-4
- temporarily revert xmllint noent change (#488093)

* Wed Jan 28 2009 Ondrej Vasik <ovasik@redhat.com> - 0.0.21-3
- fix cleaning up of temporary files with libpaper(Debian)
- fix xmllint postvalid (added noent option)
- fix stringparam option functionality
- correct doc filelist attributes, fix license, ship
  documentation files, spec file cleanup

* Fri Jul 11 2008 Ondrej Vasik <ovasik@redhat.com> - 0.0.21-2
- xmlto-tex subpackage to prevent requirements for
  passivetex/tex for all backends(#454341)

* Mon Jun 20 2008 Ondrej Vasik <ovasik@redhat.com> - 0.0.21-1
- new version 0.0.21

* Tue May 13 2008 Ondrej Vasik <ovasik@redhat.com> - 0.0.20-3
- fixed errorneus handling of backend stylesheet(#446092)
- removed unused patches

* Mon Feb 11 2008 Ondrej Vasik <ovasik@redhat.com> - 0.0.20-2
- gcc4.3 rebuild

* Thu Jan 17 2008 Ondrej Vasik <ovasik@redhat.com> - 0.0.20-1
- new version 0.0.20
- added experimental fop support(additional output formats)
- possibility to read stylesheet from STDIN, using recursive
  cp in docbook formats, updated man pages
  
* Wed Nov 28 2007 Ondrej Vasik <ovasik@redhat.com> - 0.0.19-1
- new version 0.0.19
- added dist tag

* Fri Oct 12 2007 Ondrej Vasik <ovasik@redhat.com> - 0.0.18-17
- generalized text-www-browser requirements(#174566)

* Mon Oct  8 2007 Ondrej Vasik <ovasik@redhat.com> - 0.0.18-16
- fixed warning message from find in usage() display(#322121)

* Wed Sep 19 2007 Ondrej Vasik <ovasik@redhat.com> - 0.0.18-15
- fixed wrong source URL

* Thu Aug 23 2007 Ondrej Vasik <ovasik@redhat.com> - 0.0.18-14
- rebuilt for F8
- changed License tag to GPLv2

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0.0.18-13.1
- rebuild

* Thu Jun  8 2006 Tim Waugh <twaugh@redhat.com> 0.0.18-13
- Removed debugging.

* Thu Jun  8 2006 Tim Waugh <twaugh@redhat.com> 0.0.18-12
- Debug build.

* Thu Jun  8 2006 Tim Waugh <twaugh@redhat.com> 0.0.18-11
- Rebuilt.

* Mon Jun  5 2006 Tim Waugh <twaugh@redhat.com> 0.0.18-10
- Rebuilt.

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0.0.18-9.2.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0.0.18-9.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Mon Aug  8 2005 Tim Waugh <twaugh@redhat.com> 0.0.18-9
- Fixed quoting in scripts (bug #165338).

* Mon Aug  1 2005 Tim Waugh <twaugh@redhat.com> 0.0.18-8
- Requires w3m (bug #164798).

* Mon Jul 25 2005 Tim Waugh <twaugh@redhat.com> 0.0.18-7
- Rebuild for new man-pages stylesheet.

* Mon Apr  4 2005 Tim Waugh <twaugh@redhat.com>
- Requires util-linux and flex, as does the build.

* Wed Mar  2 2005 Tim Waugh <twaugh@redhat.com> 0.0.18-6
- Rebuild for new GCC.

* Wed Feb  9 2005 Tim Waugh <twaugh@redhat.com> 0.0.18-5
- Rebuilt.

* Thu Jul  1 2004 Tim Waugh <twaugh@redhat.com> 0.0.18-4
- Magic encoding is enabled again (bug #126921).

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jan 21 2004 Tim Waugh <twaugh@redhat.com> 0.0.18-1
- 0.0.18.

* Mon Dec  1 2003 Tim Waugh <twaugh@redhat.com> 0.0.17-1
- 0.0.17.

* Tue Nov 18 2003 Tim Waugh <twaugh@redhat.com> 0.0.16-1
- 0.0.16.

* Tue Oct  7 2003 Tim Waugh <twaugh@redhat.com> 0.0.15-1
- 0.0.15.

* Tue Sep 23 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- allow compiling without tetex(passivetex) dependency

* Tue Jun 17 2003 Tim Waugh <twaugh@redhat.com> 0.0.14-3
- Rebuilt.

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri May 23 2003 Tim Waugh <twaugh@redhat.com> 0.0.14-1
- 0.0.14.

* Sun May 11 2003 Tim Waugh <twaugh@redhat.com> 0.0.13-1
- 0.0.13.

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Fri Jan  3 2003 Tim Waugh <twaugh@redhat.com> 0.0.12-2
- Disable magic encoding detection, since the stylesheets don't handle
  it well at all (bug #80732).

* Thu Dec 12 2002 Tim Waugh <twaugh@redhat.com> 0.0.12-1
- 0.0.12.

* Wed Oct 16 2002 Tim Waugh <twaugh@redhat.com> 0.0.11-1
- 0.0.11.
- xmlto.mak no longer needed.
- CVS patch no longer needed.
- Update docbook-xsl requirement.
- Ship xmlif.
- Run tests.
- No longer a noarch package.

* Tue Jul  9 2002 Tim Waugh <twaugh@redhat.com> 0.0.10-4
- Ship xmlto.mak.

* Thu Jun 27 2002 Tim Waugh <twaugh@redhat.com> 0.0.10-3
- Some db2man improvements from CVS.

* Fri Jun 21 2002 Tim Powers <timp@redhat.com> 0.0.10-2
- automated rebuild

* Tue Jun 18 2002 Tim Waugh <twaugh@redhat.com> 0.0.10-1
- 0.0.10.
- No longer need texinputs patch.

* Tue Jun 18 2002 Tim Waugh <twaugh@redhat.com> 0.0.9-3
- Fix TEXINPUTS problem with ps and dvi backends.

* Thu May 23 2002 Tim Powers <timp@redhat.com> 0.0.9-2
- automated rebuild

* Wed May  1 2002 Tim Waugh <twaugh@redhat.com> 0.0.9-1
- 0.0.9.
- The nonet patch is no longer needed.

* Fri Apr 12 2002 Tim Waugh <twaugh@redhat.com> 0.0.8-3
- Don't fetch entities over the network.

* Thu Feb 21 2002 Tim Waugh <twaugh@redhat.com> 0.0.8-2
- Rebuild in new environment.

* Tue Feb 12 2002 Tim Waugh <twaugh@redhat.com> 0.0.8-1
- 0.0.8.

* Fri Jan 25 2002 Tim Waugh <twaugh@redhat.com> 0.0.7-2
- Require the DocBook DTDs.

* Mon Jan 21 2002 Tim Waugh <twaugh@redhat.com> 0.0.7-1
- 0.0.7 (bug #58624, bug #58625).

* Wed Jan 16 2002 Tim Waugh <twaugh@redhat.com> 0.0.6-1
- 0.0.6.

* Wed Jan 09 2002 Tim Powers <timp@redhat.com> 0.0.5-4
- automated rebuild

* Wed Jan  9 2002 Tim Waugh <twaugh@redhat.com> 0.0.5-3
- 0.0.6pre2.

* Wed Jan  9 2002 Tim Waugh <twaugh@redhat.com> 0.0.5-2
- 0.0.6pre1.

* Tue Jan  8 2002 Tim Waugh <twaugh@redhat.com> 0.0.5-1
- 0.0.5.

* Mon Dec 17 2001 Tim Waugh <twaugh@redhat.com> 0.0.4-2
- 0.0.4.
- Apply patch from CVS to fix silly typos.

* Sat Dec  8 2001 Tim Waugh <twaugh@redhat.com> 0.0.3-1
- 0.0.3.

* Wed Dec  5 2001 Tim Waugh <twaugh@redhat.com>
- Built for Red Hat Linux.

* Fri Nov 23 2001 Tim Waugh <twaugh@redhat.com>
- Initial spec file.
